Skip to main content
GET
/
api
/
v1
/
payments
/
stripe
/
my-subscription
Get My Subscription
curl --request GET \
  --url https://api.devkit4ai.com/api/v1/payments/stripe/my-subscription \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_test_mode": true,
  "subscription_id": "<string>",
  "status": "<string>",
  "quantity": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "<string>",
  "plan_name": "<string>",
  "current_period_start": "2023-11-07T05:31:56Z",
  "current_period_end": "2023-11-07T05:31:56Z",
  "cancel_at": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

test_mode
boolean
default:true

Use test mode

Response

StripeSubscriptionResponse · object | null

Successful Response

Stripe subscription details.

id
string<uuid>
required
project_id
string<uuid>
required
is_test_mode
boolean
required
subscription_id
string
required
status
string
required
quantity
integer
required
created_at
string<date-time>
required
user_id
string<uuid> | null
customer_id
string | null
plan_name
string | null
current_period_start
string<date-time> | null
current_period_end
string<date-time> | null
cancel_at
string<date-time> | null
cancelled_at
string<date-time> | null